org.apache.cassandra.db.rows

## Interface RowIterator

All Superinterfaces:
  java.lang.AutoCloseable, BaseRowIterator<Row>, CloseableIterator<Row>, java.util.Iterator<Row>

All Known Implementing Classes:
  FilteredRows

    public interface RowIterator
    extends BaseRowIterator<Row>

An iterator over rows belonging to a partition. A RowIterator is an UnfilteredRowIterator to which any deletion information has been filtered out. As such, all cell of all rows returned by this iterator are, by definition, live, and hence code using a RowIterator don't have to worry about tombstones and other deletion information. Note that as for UnfilteredRowIterator, the rows returned must be in clustering order (or reverse clustering order if isReverseOrder is true), and the Row objects returned by next() are only valid until the next call to hasNext() or next().

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `isEmpty()` Returns whether the provided iterator has no data.

### Methods inherited from interface org.apache.cassandra.db.rows.BaseRowIterator

`columns, isReverseOrder, metadata, partitionKey, staticRow`

### Methods inherited from interface org.apache.cassandra.utils.CloseableIterator

`close`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### isEmpty

    default boolean isEmpty()

Returns whether the provided iterator has no data.

Specified by:
  `isEmpty` in interface `BaseRowIterator<Row>`